/* ***********************************************************************
**
**  Copyright (C) 2005  Christian Kranz
**
**  Siemens S65 Display Control for LPH display
**
*********************************************************************** */
/*********************************************
* Chip type           : ATMEGA128
* Clock frequency     : clock 16 MHz
*********************************************/
#include <avr/io.h>
#include <inttypes.h>

#include "disp.h"


int main(void)
{
  uint8_t i;
  
  char txt[]="12345";

  port_init();

  lcd_init_c();
  backcolor=0x000F;
  textcolor=0x0000;
  fill_screen(0xFFFF00);

  i=0;
  while (txt[i]!=0)
  {
    // two possible text outputs, same lower left (0) upper left (90) corner pixel
//    put_char(10+i*CHAR_W,60,txt[i],1);  // 90 deg. rotated
    put_char(45+i*CHAR_W,10,txt[i],1);   // 0 deg. rotated
    i++;
  }

  while (1) 
  {
//    lcd_init_c();
//    fill_screen(backcolor);
  }
  return(0);	  
}

